import request from '@/utils/request'

// 查询钱包列表
export function listWallet(query) {
  return request({
    url: '/model/Wallet/list',
    method: 'get',
    params: query
  })
}

// 查询钱包详细
export function getWallet(id) {
  return request({
    url: '/model/Wallet/' + id,
    method: 'get'
  })
}

// 新增钱包
export function addWallet(data) {
  return request({
    url: '/model/Wallet',
    method: 'post',
    data: data
  })
}

// 修改钱包
export function updateWallet(data) {
  return request({
    url: '/model/Wallet',
    method: 'put',
    data: data
  })
}

// 删除钱包
export function delWallet(id) {
  return request({
    url: '/model/Wallet/' + id,
    method: 'delete'
  })
}
